Package org.apache.solr.client.solrj.io.graph

## Class Traversal

- java.lang.Object
- - org.apache.solr.client.solrj.io.graph.Traversal

    public class Traversal
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Traversal.Scatter`

### Constructor Summary

Constructors
`Traversal()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLevel​(Map<String,​Node> level, String collection, String field)`
`List<String>` `getCollections()`
`int` `getDepth()`
`List<String>` `getFields()`
`List<Map<String,​Node>>` `getGraph()`
`Set<Traversal.Scatter>` `getScatter()`
`boolean` `getTrackTraversal()`
`boolean` `isMultiCollection()`
`Iterator<Tuple>` `iterator()`
`void` `setScatter​(Set<Traversal.Scatter> scatter)`
`void` `setTrackTraversal​(boolean trackTraversal)`
`boolean` `visited​(String nodeId, String ancestorId, Tuple tuple)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Traversal

    public Traversal()

### Method Detail

#### addLevel

    public void addLevel​(Map<String,​Node> level,
                         String collection,
                         String field)

#### getDepth

    public int getDepth()

#### getTrackTraversal

    public boolean getTrackTraversal()

#### visited

    public boolean visited​(String nodeId,
                           String ancestorId,
                           Tuple tuple)

#### isMultiCollection

    public boolean isMultiCollection()

#### getGraph

    public List<Map<String,​Node>> getGraph()

#### setScatter

    public void setScatter​(Set<Traversal.Scatter> scatter)

#### getScatter

    public Set<Traversal.Scatter> getScatter()

#### setTrackTraversal

    public void setTrackTraversal​(boolean trackTraversal)

#### getCollections

    public List<String> getCollections()

#### getFields

    public List<String> getFields()

#### iterator

    public Iterator<Tuple> iterator()